using System;
using setPoint.programAnnotation;

namespace HelloWorldAspect {
	class MainClass {
		static void Main() {
			IOManager ioManager = new IOManager();
			ioManager.printToConsole("Enter a number: ");
			int number = ioManager.readNumber();
			ioManager.printToConsole("You`ve entered " + number + "\n");			
		}
	}

	class IOManager {
		[ProgramAnnotation("semantics://architecture#output")]
		public void printToConsole(string str) {
			Console.Write(str);
		}

		[ProgramAnnotation("semantics://architecture#input")]
		public int readNumber() {
			int number = int.Parse(Console.ReadLine());
			return number;
		}
	}
}